h30927
s 00032/00000/00000
d D 1.1 82/08/03 08:46:50 cecily 1 0
e
u
U
t
T
I 1
chroot	title	unix c svc library -- chroot

.chroot	equ	61

	entry	chroot
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
chrootsvc	equ	*
	svc	0,.chroot
dirname	dc	a(*-*)
*
	pure
chroot	equ	*
	l	r0,0(sp)	dirname
	st	r0,dirname
	svc	0,0
	dc	a(chrootsvc)
	bc	error
	lis	r0,0
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
